#include <iostream>
#include <math.h>

using namespace std;

int main()
{
    long double p,q,r,L,R;
    long double k=0;
    cin>>p>>q>>r>>L>>R;
    for (long double i=L;i<=R;i++)
    {
        if(ceil(i/r)+ceil(i/q)+ceil(i/p)<=i)
        {
            k=k+1;
        }
    }
    cout<<k;
    return 0;
}